Skip to main content
GET
Average return per month

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

The price change for the ticker in the month over the given count of years.

avg_change
number

The average relative price change of the month over all counted years. A month's change runs from the previous month's last close to the month's last close.

Example:

0.09494354167379757

max_change
number

The maximum relative price change of the month over all counted years. A month's change runs from the previous month's last close to the month's last close.

Example:

0.14970489711277724

median_change
number

The median relative price change of the month over all counted years. A month's change runs from the previous month's last close to the month's last close.

Example:

0.09494354167379757

min_change
number

The minimum relative price change of the month over all counted years. A month's change runs from the previous month's last close to the month's last close.

Example:

0.0401821862348179

month
integer

The number indicating the month the data applies for. e.g. 1 -> January, 2 -> February, ...

Example:

5

positive_closes
integer

The number of counted years in which the month closed above the previous month's close.

Example:

2

positive_months_perc
number

The relative amount of times, the month had a positive close. Multiply with 100 to get the amount in percent.

Example:

0.6667

years
number

The number of years used to calculate the data. Only completed months that have the previous month's close are counted, so the current month is left out.

Example:

3